---
title: Common Add-Ons
---

## Introduction

Spree is a powerful e-commerce platform in its own right. Right out of the gate, it offers you a lot of functionality that can be customized to fit your store's particular needs.

Some customization scenarios are so common that developers have bundled them into [extensions](/developer/extensions_tutorial) - modules which can be added on to your store to extend its functionality. Listed below are some of the most commonly-used extensions, each with a short description of its use. Consider asking your developer(s) to add one or more to your store. To see a complete list of Spree extensions, browse our [extension library](http://spreecommerce.com/extensions).

All of these extensions are open source - meaning they, like Spree itself, are offered free of charge. It also means they require support from the community contributors to keep them current and documented.

## better_spree_paypal_express
[better_spree_paypal_express](https://github.com/spree-contrib/better_spree_paypal_express) allows your store to accept payments for orders using [Paypal](https://www.paypal.com/). Paypal has over 130 million active registered accounts, and supports more than 25 currencies, making its use mission-critical for many e-commerce stores.

## spree_gateway
[spree_gateway](https://github.com/spree/spree_gateway) is a collection of payment gateways that your store can use for processing payments. It supports dozens of both [direct payment gateways](https://github.com/Shopify/active_merchant/blob/master/README.md#supported-direct-payment-gateways) and [offsite payment gateways](https://github.com/Shopify/active_merchant/blob/master/README.md#supported-offsite-payment-gateways).

## spree_wishlist
Consumers of e-commerce have come to expect Wish List functionality on most stores. With the [spree_wishlist](https://github.com/spree/spree_wishlist) extension, you can easily add this functionality to your own stores. This should help to drive up sales at your store, widen your customer base, and improve customer satisfaction.

## spree_email_to_friend
If a potential customer spots a product in your store that they want to tell a friend about, you want to make it as easy as possible for them to do so. That's where the [spree_email_to_friend](https://github.com/spree/spree_email_to_friend) extension comes in.

## spree_reviews
[spree_reviews](https://github.com/spree/spree_reviews) enables logged-in users to submit ratings and reviews for the products in your store. You can then moderate these reviews as necessary.

## spree_social
Use of the [spree_social](https://github.com/spree/spree_social) extension gives your store all of the usual tie-ins with widely-used social networking sites, including Twitter, Facebook, Github, and Google.

## spree_multi_currency
[spree_multi_currency](https://github.com/spree/spree_multi_currency) gives you the UI (user interface) and behind-the-scenes functionality to allow for multiple currencies within your Spree store.

## spree-multi-domain
Have you ever wanted to have multiple stores, all managed in one central location? Then [spree-multi-domain](https://github.com/spree/spree-multi-domain) is what you need! This allows you to have several domain names all pointed to the same Spree application, but appearing to be completely separate entities. Your multiple domains can each have their own stylesheet and layout, and products can be assigned to one or more stores.
